<?php
include_once('./_common.php');

if ($is_guest)
    alert_close('회원만 이용가능합니다.');

$list = array();

if($action == "exchange") { //마일리지 전환

	$my_ap = (int)$member['mb_7'];

	$point = (int)$point;

	if($point > 0) {
		;
	} else {
		alert('MP로 전환하고자 하는 AP를 양수로 입력해 주세요.');
	}

	if($point > $my_ap) {
		alert('실제 보유하신 AP 보다 전환할 AP가 많습니다.');
	}

    // 마일리지 건별 생성
	$rel_point = $point * (-1);
	$rel_action = '@exchange_'.G5_TIME_YMDHIS;
	$rel_content = 'AP를 MP로 전환';
    $sql = " insert into {$g5['amina_mileage']}
                set mb_id = '{$member['mb_id']}',
                    from_id = '{$member['mb_id']}',
					po_datetime = '".G5_TIME_YMDHIS."',
                    po_content = '".addslashes($rel_content)."',
                    po_point = '$rel_point',
                    po_rel_table = '@exchange',
                    po_rel_id = '{$member['mb_id']}',
                    po_rel_action = '$rel_action' ";
    sql_query($sql);

    // 마일리지 내역의 합을 구하고
    $sql = " select sum(po_point) as sum_po_point from {$g5['amina_mileage']} where mb_id = '{$member['mb_id']}' ";
    $row = sql_fetch($sql);
    $sum_point = $row['sum_po_point'];

    // 마일리지 UPDATE(회원 여분필드 7번사용)
    $sql = " update {$g5['member_table']} set mb_7 = '$sum_point' where mb_id = '{$member['mb_id']}' ";
    sql_query($sql);

	//포인트 적립
	insert_point($member['mb_id'], $point, "AP를 MP로 전환", '@exchange', $member['mb_id'], '@exchange_'.G5_TIME_YMDHIS);

	//XP 업데이트
	check_xp($member['mb_id']);

	//이동
	alert(number_format($point).' AP를 MP로 전환하였습니다.', './point.php?action=mp');

} else if($action == "form") { //마일리지 전환폼

	$g5['title'] = $g4['title'] = 'AP를 MP로 전환하기';
	$action = "form";

} else {
	if ($action == 'mp') {
		$g5['title'] = $g4['title'] = $member['mb_nick'].' 님의 MP 내역';
		$my_title = '보유 MP';
		$my_point = number_format($member['mb_point']);
		$action = "mp";
		$sql_common = " from {$g5['point_table']} where mb_id = '{$member['mb_id']}' ";
	} else  {
		$g5['title'] = $g4['title'] = $member['mb_nick'].' 님의 AP 내역';
		$my_title = '보유 AP';
		$my_point = number_format((int)$member['mb_7']);
		$action = "ap";
		$sql_common = " from {$g5['amina_mileage']} where mb_id = '{$member['mb_id']}' ";
	}

	$sql_order = " order by po_id desc ";

	$sql = " select count(*) as cnt {$sql_common} ";
	$row = sql_fetch($sql);
	$total_count = $row['cnt'];

	$rows = $config['cf_page_rows'];
	$total_page  = ceil($total_count / $rows);  // 전체 페이지 계산
	if (!$page) { $page = 1; } // 페이지가 없으면 첫 페이지 (1 페이지)
	$from_record = ($page - 1) * $rows; // 시작 열을 구함

	$sum_point1 = $sum_point2 = $sum_point3 = 0;

	$sql = " select * {$sql_common} {$sql_order} limit {$from_record}, {$rows} ";
	$result = sql_query($sql);
	for ($i=0; $row=sql_fetch_array($result); $i++) {

		$list[$i] = $row;

		$list[$i]['point1'] = $list[$i]['point2'] = 0;
		if ($row['po_point'] > 0) {
			$list[$i]['point1'] = '+' .number_format($row['po_point']);
			$sum_point1 += $row['po_point'];
		} else {
			$list[$i]['point2'] = number_format($row['po_point']);
			$sum_point2 += $row['po_point'];
		}

		if ($row['po_expired'] == 1) {
			$list[$i]['expire_date'] = substr(str_replace('-', '', $row['po_expire_date']), 2);
		} else {
		    $list[$i]['expire_date'] = ($row['po_expire_date'] == '9999-12-31') ? '&nbsp;' : $row['po_expire_date'];
		}
	}
	
	if ($sum_point1 > 0) {
		$sum_point1 = "+" . number_format($sum_point1);
	}

	$sum_point2 = number_format($sum_point2);

	if(AMINA) {
		$page_rows = G5_IS_MOBILE ? $config['cf_mobile_pages'] : $config['cf_write_pages'];
	} else {
		$page_rows = $config['cf_write_pages'];
	}
}

include_once(G5_PATH.'/head.sub.php');

if(!defined('AMINA_CSS')) include_once(AMINA_PATH.'/css.php');

$skin_val = $aminaThema['point_skin'];
$skin_dir = 'misc/point';
$skin_name = 'point.skin.php';

if(file_exists(THEMA_PATH.'/skin/'.$skin_name)) {
	$point_skin_path = THEMA_PATH.'/skin';
	$point_skin_url = THEMA_URL.'/skin';
} else if(file_exists(AMINA_PATH.'/'.$skin_dir.'/'.$skin_val.'/'.$skin_name)) {
	$point_skin_path = AMINA_PATH.'/'.$skin_dir.'/'.$skin_val;
	$point_skin_url = AMINA_URL.'/'.$skin_dir.'/'.$skin_val;
} else {
	$point_skin_path = AMINA_PATH.'/'.$skin_dir.'/basic';
	$point_skin_url = AMINA_URL.'/'.$skin_dir.'/basic';
}

include($point_skin_path.'/'.$skin_name);

include_once(G5_PATH.'/tail.sub.php');

?>